"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkForContentId = function (slot, value) {
    if (slot.name === 'content-asset'
        && typeof slot.attributes !== 'undefined'
        && typeof slot.attributes['content-id'] !== 'undefined') {
        var contentId = slot.attributes['content-id'];
        if (typeof contentId === 'string') {
            return contentId.includes(value);
        }
    }
    return false;
};
exports.curySlots = function (fn) { return function () {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    return function (slot) { return fn.apply(void 0, [slot].concat(args)); };
}; };
// using partial application to store cb in clojure
exports.curriedCheckForContentId = exports.curySlots(exports.checkForContentId);
